/**
 * <copyright>
 * </copyright>
 *
 * $Id: ApproximationTestResultValidator.java,v 1.1 2008-04-01 09:35:33 vmahe Exp $
 */
package orgomg.cwm.analysis.datamining.approximation.validation;

import orgomg.cwm.analysis.datamining.approximation.ApproximationTestTask;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.datamining.approximation.ApproximationTestResult}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface ApproximationTestResultValidator {
	boolean validate();

	boolean validateMeanPredictedValue(String value);
	boolean validateMeanActualValue(String value);
	boolean validateMeanAbsoluteError(String value);
	boolean validateRmsError(String value);
	boolean validateRSquared(String value);
	boolean validateTestTask(ApproximationTestTask value);
}
